function [out] = s1_quantize (in,bits)
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================

%------------------------------------------------------------
%filename - rnd_qnt.m
%programmer - Umesh Rajashekar
%				  umesh@ece.utexas.edu	
%Description - This file contains the code to perform the 
%				   rounding truncation of the input "in" to
%					"bits" number of precision.Max = 1,min = -1;
%------------------------------------------------------------



%define max and min
min = -1;
max = +1;

%find the step size
step_size = (max- min)/(2^bits);

%find the allowed quantization values
qnt_array = min + (step_size/2) : step_size : max;

%determine the indicies of the allowed values
index = floor ( (in - min )/step_size ) + 1;

%avoid over/under flow
index ( find (index > length(qnt_array) )) = length(qnt_array);
index ( find (index < 1 ) ) = 1;

%return the s1_quantized values
out = qnt_array(index);