function add_2d_noise
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
%function adds salt and pepper noise to the imput image

%update the static txt
txt_hndl = findobj(gcbf,'Tag','static_noise');
slid_hndl = findobj(gcbf,'Tag','slider_noise');

%read the value and updated the text
val = floor( get (slid_hndl,'Value'));
set(txt_hndl,'String',num2str(val));

%add the noise now
image_hndl = findobj(gcbf,'Tag','push_select');
image = get(image_hndl,'Userdata');

%num of pixels in image
N = prod(size(image));

%num of white/black
chg_num = floor ( N/2 * val/100);
image( floor (rand(1,chg_num) * (N-1))+1 ) = 255;
image( floor (rand(1,chg_num) * (N-1)) +1) = 0;

%save the noisy image in the push for the filter- to allow iterative filters
filt_hnd = findobj(gcbf,'Tag','push_filter');
set(filt_hnd , 'Userdata',image);

%display image
figure(3);
show_nle_img(image);
title('Noisy image');