function compute_it
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
%function to compute the results of the difference equation
%==========================================================

%find the input type
inp_hndl = findobj(gcbf,'Tag','pop_input');
val = get(inp_hndl,'Value');
names = get(inp_hndl,'String');
inp = names{val};

%find the response desired 
resp_hndl = findobj(gcbf,'Tag','list_resp');
val = get(resp_hndl,'Value');
names = get(resp_hndl,'String');
resp = names{val};

%get the various numbers for computing
b = get_coef_y;
a = get_coef_x;
ic = get_coef_ic;


%-----make the input signal----------------
n = [0:100];

switch inp
case 'Impulse',
   inp_sig = [n==0];
case 'Step',
   inp_sig = (n>=0);
end

%-----------------------------------------

%--- create the desired response-----------

switch resp
   
case('Zero State')
   ic = zeros(size(ic));
   xic = filtic(a,b,ic);
   y = filter(a,b,inp_sig,xic);
   
case('Zero Input')
   inp_sig = zeros(size(n));
   xic = filtic(a,b,ic);
   y = filter(a,b,inp_sig,xic);
   
case('Total')
   xic = filtic(a,b,ic);
   y = filter(a,b,inp_sig,xic);

   
end

figure(2);
stem (n,y);
zoom on;
%-----------------------------------------------




   



