function save_sdtft_sig;
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
N_max_points = 100;
N = 100;
t_index = 0:N-1;
sig_size = N;

sig_hndl = findobj(gcbf , 'Tag' , 'PopupMenu1');
sig_types = get (sig_hndl , 'String');
sig_val = get (sig_hndl , 'Value');
sig_name = sig_types{sig_val};

slid_hndl = findobj(gcbf , 'Tag' , 'Slider1');
set (slid_hndl , 'Enable' , 'on');
sld_val = get (slid_hndl , 'Value');
N_points =floor( sld_val* (N_max_points-4) ) + 4;

txt_hndl = findobj(gcbf , 'Tag' , 'StaticText2');
set (txt_hndl , 'Visible' , 'on');
set (txt_hndl , 'String' ,num2str(N_points));

edit_hndl = findobj(gcbf , 'Tag' , 'EditText1');
ampl = str2num (get (edit_hndl , 'String'));

if isempty(ampl)
	msgbox('Please enter data in box');
   return;
end


 


sig = zeros(1,sig_size);

switch (sig_name)
   
case('Impulse')
   set (slid_hndl , 'Enable' , 'off');
  	set (txt_hndl , 'Visible' , 'off');

   sig(1) = 1*ampl;
     
   
case('Comb')
   sig(1:N_points) = ampl*boxcar(N_points);
   
case ('Triangular')
   sig(1:N_points) =ampl * bartlett(N_points)';   
   
case('Exp-1')
   sig (1:N_points) = ampl .^ ( t_index(1:N_points));
   
case ('Exp-2')
   temp = floor (N_points/2);
   set (txt_hndl , 'String' ,num2str(temp*2 +1));
   sig(1:2*temp +1) = ampl  .^ (abs (-temp:temp));

   
   
end


%stem (t_index , sig);

set (sig_hndl , 'UserData',sig);
show_sdtft;





