function D = get_fr_resp(fil_type , f1 ,f2 , f3 , f4)
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
h_wd = 1000;
f_wd = 2000;

fr_ax = linspace ( 0 ,2 ,f_wd);

fil_1 = zeros ( 1 , h_wd);

switch (fil_type)
   
case('low'),
   pb1  = f1 ;
   sb1  = f2;
   pass_len = pb1* h_wd;
   trans_len = (sb1*h_wd - pb1*h_wd);
   stop_len = h_wd - ( pass_len + trans_len);
   
   fil_1 = [ ones(1,pass_len) , linspace(1,0,trans_len), zeros(1,stop_len)];
   D = [ fil_1 fil_1(length(fil_1) : -1 :1) ];
   
case('high'),
   sb1   = f1 ;
   pb1 = f2;
   stop_len = sb1* h_wd;
   trans_len = (pb1*h_wd - sb1*h_wd);
   pass_len = h_wd - ( stop_len + trans_len);
   
   fil_1 = [ zeros(1,stop_len) , linspace(0,1,trans_len), ones(1,pass_len)];
   D = [ fil_1 fil_1(length(fil_1) : -1 :1) ];
   
case('bandpass'),
   sb1 = f1;   
   pb1 = f2;
   pb2 = f3;
   sb2 = f4;
   
   stop_len_1 = sb1* h_wd;
   trans_len_1 = (pb1*h_wd - sb1*h_wd);
   pass_len = (pb2*h_wd - pb1*h_wd);
   trans_len_2 = (sb2*h_wd - pb2*h_wd);
   stop_len_2 = h_wd - sb2*h_wd;

   
   fil_1 = [ zeros(1,stop_len_1) , linspace(0,1,trans_len_1), ones(1,pass_len) , linspace(1,0,trans_len_2) , zeros(1,stop_len_2) ];
   D = [ fil_1 fil_1(length(fil_1) : -1 :1) ];
   
case('stop'),
   pb1  = f1;
   sb1 = f2;
   sb2 = f3;
   pb2 = f4;
   
   pass_len_1 = pb1* h_wd;
   trans_len_1 = (sb1*h_wd - pb1*h_wd);
   stop_len = (sb2*h_wd - sb1*h_wd);
   trans_len_2 = (pb2*h_wd - sb2*h_wd);
   pass_len_2 = h_wd - pb2*h_wd;

   
   fil_1 = [ ones(1,pass_len_1) , linspace(1,0,trans_len_1), zeros(1,stop_len) , linspace(0,1,trans_len_2) , ones(1,pass_len_2) ];
   D = [ fil_1 fil_1(length(fil_1) : -1 :1) ];


end




