function all_plot(N)
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================

figure(3);

w = linspace(0,1,512);
col = ['k' , 'm' , 'b' , 'r' , 'g'];
names = ['Rectangular','Barlett','Hamming','Hanning','Blackman'];

for i=1:5,
   
   win(i,:) = getwin(i,N);
   wintemp(i,:) = abs(fft(win(i,:),1024));
   winft(i,:) = wintemp(i,1:512)/wintemp(i,1) + 0.01;
   plot(w,20*log10(winft(i,:)),col(i));
   hold on;
    
end
hold off;


title('ALL WINDOWS');
xlabel ('digital frequency');
ylabel ('20 log W');


legend('Rectangular','Barlett','Hamming','Hanning','Blackman');
zoom on;


