function  update_all_time_plots


%fig_handles = guihandles(gcbf);
fig_handles = guihandles;
curr_axis = gca;

sig1_data = get(fig_handles.axes_sig1,'UserData');
sig2_data = get(fig_handles.axes_sig2,'UserData');
common_data = get(fig_handles.push_reset,'UserData');
gain = common_data.gain;
N = common_data.N;

%Make the 3 signals
[sig1,sig1_shift, time1] = make_sine(sig1_data);
[sig2,sig2_shift, time2] = make_sine(sig2_data);
sig3 = sig1 +  gain * sig2;
sig3_shift = sig1_shift + gain* sig2_shift;

%Compute the best time axes
max_y = max(sig1) + max(sig2);
min_x = 0; max_x = N;

%Plot the first signal in the time domain
axes(fig_handles.axes_sig1);
cla; 
hold on; 
plot(time1,sig1,'y--','LineWidth',1.5);
h = plot(time1,sig1_shift,'g','LineWidth',1.5);
set(h,'ButtonDownFcn', 'sine_add_animator start');
axis([min_x max_x -max_y max_y]);
h_text = text(1,max_y - 0.12*max_y,['\Deltat_1= ' num2str(sig1_data.init_time + sig1_data.shift)]); 
set(h_text,'Color','r');


%Plot the first signal in the Freq. domain
axes(fig_handles.axes_phase1);
new_SIG = fft(sig1_shift);new_mag_SIG = abs(new_SIG);new_phase_SIG = angle(new_SIG);
hold on; cla;
shift_new_phase = fftshift(new_phase_SIG .* (new_mag_SIG > 1)) ;
h = stem( shift_new_phase,'g--','Filled');
set(h,'MarkerSize',3);
grid on;
axis([0 length(new_SIG) -pi pi]);


axes(fig_handles.axes_sig2);
cla; hold on;
plot(time2,sig2,'y--','LineWidth',1.5);axis tight;
h = plot(time2,sig2_shift,'g','LineWidth',1.5);
set(h,'ButtonDownFcn', 'sine_add_animator start');
axis([min_x max_x -max_y max_y]);
h_text = text(1,max_y - 0.12*max_y,['\Deltat_2= ' num2str(sig2_data.init_time + sig2_data.shift)]); 
set(h_text,'Color','w');


%Plot the second signal in the Freq. domain
axes(fig_handles.axes_phase2);
new_SIG = fft(sig2_shift);new_mag_SIG = abs(new_SIG);new_phase_SIG = angle(new_SIG);
hold on; cla;
shift_new_phase = fftshift(new_phase_SIG .* (new_mag_SIG > 1)) ;
h = stem( shift_new_phase,'g--','Filled');
set(h,'MarkerSize',3);
grid on;
axis([0 length(new_SIG) -pi pi]);


axes(fig_handles.axes_sig3);
cla; hold on;
plot(time1,sig3,'y--','LineWidth',1.5);axis tight;
h = plot(time1,sig3_shift,'g','LineWidth',1.5);
set(h,'ButtonDownFcn', 'sine_add_animator start');
axis([min_x max_x -max_y max_y]);

%Plot the third signal in the Freq. domain
axes(fig_handles.axes_phase3);
new_SIG = fft(sig3_shift);new_mag_SIG = abs(new_SIG);new_phase_SIG = angle(new_SIG);
hold on; cla;
shift_new_phase = fftshift(new_phase_SIG .* (new_mag_SIG > 1)) ;
h = stem( shift_new_phase,'g--','Filled');
set(h,'MarkerSize',3);
grid on;
axis([0 length(new_SIG) -pi pi]);


%Draw the slope line is the shifts of both sinusoids are the same
init_time1 = sig1_data.init_time;
init_time2 = sig2_data.init_time;

shift1 = (sig1_data.shift  + init_time1);
shift2  = sig2_data.shift  + init_time2;
%if (init_time1 == init_time2)

    N1 = length(new_SIG);
    linear_lines = shift1 * 2*pi* linspace(-N1/2-1,N1/2,N1)/N1 ;
    linear_lines1 = linear_lines(1:N1/2)  - pi/2 ;
    linear_lines2 = linear_lines(N1/2+1:N1) + pi/2  ;

   if ((2*pi*shift1*sig1_data.k/N + pi/2) > pi)    
       linear_lines1 = linear_lines1 - 2* pi;
   end
    
    plot([1: N1/2], -linear_lines1,'c');
    plot([N1/2+1: N1], -linear_lines2,'r');
    
    
    N1 = length(new_SIG);
    linear_lines = shift2 * 2*pi* linspace(-N1/2-1,N1/2,N1)/N1 ;
    linear_lines1 = linear_lines(1:N1/2) - pi/2 ;
    linear_lines2 = linear_lines(N1/2+1:N1) + pi/2 ;
    
    plot([1: N1/2], -linear_lines1,'w--');
    plot([N1/2+1: N1], -linear_lines2,'w--');
    
    %Put up the legend
    h_text = text(1,pi-0.12*pi,'--- 2\pif\Deltat_1'); 
    set(h_text,'Color','r');
    h_text = text(1,pi-0.3*pi,'--- 2\pif\Deltat_2'); 
    set(h_text,'Color','w');

    
    %end


axes(curr_axis); %Give control back to the axis that initiated this plotting




